<script setup>
import ArticleItem from "./ArticleItem.vue";

const props = defineProps(["articles"]);
</script>

<template>
  <div>
    <h1 class="font-bold text-4xl pt-6 pb-2">Latest</h1>
    <h2 class="font-light text-xl">
      A blog created with Vue.js and Tailwind.css
    </h2>

    <div class="divide-y divide-dashed py-4">
      <ArticleItem
        v-for="article in props.articles"
        :key="article.id"
        :article="article"
      />
    </div>
  </div>
</template>